Subject: [bug#66052] [PATCH gnome-team v2] gnu: tracker: Update to 3.6.0.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 17 Sep 2023 18:22:28 +0200

Am Sonntag, dem 17.09.2023 um 13:29 +0200 schrieb Vivien Kraus:
> * gnu/packages/gnome.scm (tracker): Update to 3.6.0.
> [#:phases]: Add 'disable-i686-failing-tests'.
> ---
> 
> So, I can add a reply here, below the ---?
Exactly.

> > You can (and probably should) make this into a ‘disable-failing-
> > tests’ or inline it into an existing one.  Otherwise LGTM but
> > waiting for CI to test.
> 
> This is only for i686, I want to keep all tests for x86_64. So, it’s
> named 'disable-i686-failing-tests'.
> 
> I would not hold my breath for CI. Looking at the qa-frontpage
> repository, I suspect the base for all QA builds is always master (it
> invokes "git tag base-for-issue-*" without a specific branch name),
> so it will likely fail.
Fine by me.  Not sure whether we'll need to distinguish failing tests
like that in the future or chain multiple ones after another (there is
precedent to putting them all in one phase and we are already
rebuilding tracker, so we might also have a phase that reads
*unspecified* on arches that don't need any fixes, but who am I to
insist on that).

More importantly, I can't currently rely on mumi to get me v2 of the
patch-set, so I'm waiting either way :)

> Best regards,
> 
> Vivien
> 
>  gnu/packages/gnome.scm | 18 ++++++++++++++++--
>  1 file changed, 16 insertions(+), 2 deletions(-)
> 
> diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
> index 2077478ff2..e38aa6622a 100644
> --- a/gnu/packages/gnome.scm
> +++ b/gnu/packages/gnome.scm
> @@ -9387,7 +9387,7 @@ (define-public gnome-autoar
>  (define-public tracker
>    (package
>      (name "tracker")
> -    (version "3.5.3")
> +    (version "3.6.0")
>      (source (origin
>                (method url-fetch)
>                (uri (string-append "mirror://gnome/sources/tracker/"
> @@ -9395,7 +9395,7 @@ (define-public tracker
>                                    "tracker-" version ".tar.xz"))
>                (sha256
>                 (base32
> -               
> "1vi878f95a2nlvqz46ph6f05hywjb2ni0znqavhdkrbvi6qchrhl"))))
> +               
> "1whdqidxmagsc35pmz9kcc5vs3bmvbkmnis7prnx3zxs37z2qnaj"))))
>      (build-system meson-build-system)
>      (arguments
>       (list
> @@ -9417,6 +9417,20 @@ (define-public tracker
>                (substitute* "utils/trackertestutils/__main__.py"
>                  (("/bin/bash")
>                   (search-input-file inputs "bin/bash")))))
> +          #$@(if (target-x86-32?)
> +                 ;; On 32-bit systems, the far away dates are
> incorrect, and
> +                 ;; the floats are not parsed exactly.
> +                 (list
> +                  #~(add-after 'unpack 'disable-i686-failing-tests
> +                      (lambda _
> +                        (substitute* "tests/libtracker-
> sparql/tracker-statement-test.c"
> +                          (("g_assert_cmpfloat *\\((.*), ==, ([0-
> 9.e-]+)\\);" total actual expected)
> +                           (string-append
> "g_assert_cmpfloat_with_epsilon ("
> +                                          actual ", " expected ",
> 1e-12);")))
> +                        (substitute* "tests/core/tracker-sparql-
> test.c"
> +                          (("\\{ \"datetime/direct-1\", .* \\},")
> +                           "/* datetime test disabled */")))))
> +                 '())
Visually LGTM, as for whether it builds I'll have to see ._.

Cheers